cdac.medinfo.sdk.hl7282.baselibs

## Class DLT

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.DLT

- All Implemented Interfaces:
    IDataType

      public class DLT
      extends CompositeDataType

  DLT - Delta

  This data type describes the information that controls delta check warnings.

  Represents an HL7 DLT data type. This data type has the following attributes:

  1. Normal Range (NR)Optional
  2. Numeric Threshold (NM)Optional
  3. Change Computation (ID)Optional
  4. Days Retained (NM)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DLT()` Default Constructor for DLT
    `DLT(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for DLT class which takes two arguments and sets the value in the respective member variable.
    `DLT(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for DLT class which takes five arguments and sets the value in the respective member variable.
    `DLT(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for DLT class which takes six arguments and sets the value in the respective member variable.
    `DLT(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for DLT class which takes four arguments and sets the value in the respective member variable.
    `DLT(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for DLT class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `ID` | `getChangeComputation()` Returns Change Computation
    `NM` | `getDaysRetained()` Returns Days Retained
    `NR` | `getNormalRange()` Returns Normal Range
    `NM` | `getNumericThreshold()` Returns Numeric Threshold
    `void` | `setChangeComputation(ID objID)` Sets the ChangeComputation.
    `void` | `setChangeComputation(java.lang.String strChangeComputation)` Sets the ChangeComputation.
    `void` | `setDaysRetained(NM objNM)` Sets the DaysRetained.
    `void` | `setDaysRetained(java.lang.String strDaysRetained)` Sets the DaysRetained.
    `void` | `setNormalRange(NR objNormalRange)` Sets the NormalRange.
    `void` | `setNumericThreshold(NM objNM)` Sets the NumericThreshold.
    `void` | `setNumericThreshold(java.lang.String strNumericThreshold)` Sets the NumericThreshold.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DLT

          public DLT()

      Default Constructor for DLT

    - #### DLT

          public DLT(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for DLT class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### DLT

          public DLT(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for DLT class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### DLT

          public DLT(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for DLT class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### DLT

          public DLT(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for DLT class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### DLT

          public DLT(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for DLT class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setNormalRange

          public void setNormalRange(NR objNormalRange)

      Sets the NormalRange.
      Parameters:
        `objNormalRange` - Specifies the normal interval of the reference data

    - #### setNumericThreshold

          public void setNumericThreshold(java.lang.String strNumericThreshold)

      Sets the NumericThreshold.
      Parameters:
        `strNumericThreshold` - Specifies the numeric threshold of the change that is detected.

    - #### setNumericThreshold

          public void setNumericThreshold(NM objNM)

      Sets the NumericThreshold.
      Parameters:
        `objNM` - Specifies the numeric threshold of the change that is detected.

    - #### setChangeComputation

          public void setChangeComputation(java.lang.String strChangeComputation)

      Sets the ChangeComputation.
      Parameters:
        `strChangeComputation` - Specifies if the change is computed as a percent change or as an absolute change. [Refer to HL7 Table 0523 Computation type]valid values %,a.

    - #### setChangeComputation

          public void setChangeComputation(ID objID)

      Sets the ChangeComputation.
      Parameters:
        `strChangeComputation` - Specifies if the change is computed as a percent change or as an absolute change. [Refer to HL7 Table 0523 Computation type]valid values %,a.

    - #### setDaysRetained

          public void setDaysRetained(java.lang.String strDaysRetained)

      Sets the DaysRetained.
      Parameters:
        `strDaysRetained` - Specifies of time in days that the value is retained for computing delta checks.

    - #### setDaysRetained

          public void setDaysRetained(NM objNM)

      Sets the DaysRetained.
      Parameters:
        `objNM` - Specifies of time in days that the value is retained for computing delta checks.

    - #### getNormalRange

          public NR getNormalRange()

      Returns Normal Range
      Returns:
        NR - data type.

    - #### getNumericThreshold

          public NM getNumericThreshold()

      Returns Numeric Threshold
      Returns:
        NM - data type.

    - #### getChangeComputation

          public ID getChangeComputation()

      Returns Change Computation
      Returns:
        ID - data type.

    - #### getDaysRetained

          public NM getDaysRetained()

      Returns Days Retained
      Returns:
        NM - data type.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.